/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-13 16:40:16.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service.bean.coursepaper;

import java.io.Serializable;

/**
 * 试卷数量情况
 *
 * @author: fengdesheng
 * @since: 2018/11/13
 */
public class CoursePaperTotalInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 试卷总数
     */
    private Integer allNum;
    /**
     * 已有试卷数
     */
    private Integer existNum;
    /**
     * 缺少试卷数
     */
    private Integer missNum;

    public CoursePaperTotalInfo(Integer allNum, Integer existNum, Integer missNum) {
        this.allNum = allNum;
        this.existNum = existNum;
        this.missNum = missNum;
    }

    public CoursePaperTotalInfo() {

    }

    public Integer getAllNum() {
        return allNum != null ? allNum : 0;
    }

    public void setAllNum(Integer allNum) {
        this.allNum = allNum;
    }

    public Integer getExistNum() {
        return existNum != null ? existNum : 0;
    }

    public void setExistNum(Integer existNum) {
        this.existNum = existNum;
    }

    public Integer getMissNum() {
        return missNum != null ? missNum : 0;
    }

    public void setMissNum(Integer missNum) {
        this.missNum = missNum;
    }

}